CatalogProducts
Create modifier group
Creates a modifier group and its options for a product.
POST
/v1/catalog/products/{productId}/modifier-groupsCreates a modifier group and its options for a product.
Authorization
bearerAuth AuthorizationBearer <token>
OAuth2 access token issued by Ecomiq Auth.
In: header
Path Parameters
productId*string
Identifier of the product.
Header Parameters
x-Store-Id?string
Store the request acts on. Not needed when the token is bound to a store.
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
curl -X POST "https://example.com/v1/catalog/products/7204558912004325301/modifier-groups" \ -H "x-Store-Id: <store-id>" \ -H "Authorization: Bearer <token>" \ -H "Content-Type: application/json" \ -d '{ "name": "Example resource", "description": "Example description.", "isRequired": false, "selectionType": "single", "minSelections": 1, "maxSelections": 1, "order": 1, "status": "active" }'{ "id": "7204558912004325301"}